#ifndef AMDIS_DIRECTSOLVERINTERFACE_H
#define AMDIS_DIRECTSOLVERINTERFACE_H

namespace AMDiS {

  template<typename MatrixType, typename VectorType>
  class DirectSolverInterface
  {    
  public:
    DirectSolverInterface() {};

    virtual ~DirectSolverInterface() {};

    virtual void solve(MatrixType &A, 
		       VectorType &b, 
		       VectorType &x, 
		       int numUnknowns) = 0;
  };

}

#endif
